# [7:0] = { dot, cathode A-G}
set_property PACKAGE_PIN M4 [get_ports CATHODE[7]]
set_property PACKAGE_PIN L3 [get_ports CATHODE[6]]
set_property PACKAGE_PIN N1 [get_ports CATHODE[5]]
set_property PACKAGE_PIN L5 [get_ports CATHODE[4]]
set_property PACKAGE_PIN L4 [get_ports CATHODE[3]]
set_property PACKAGE_PIN K3 [get_ports CATHODE[2]]
set_property PACKAGE_PIN M2 [get_ports CATHODE[1]]
set_property PACKAGE_PIN L6 [get_ports CATHODE[0]]
set_property IOSTANDARD LVCMOS33 [get_ports {CATHODE[*]}]

set_property PACKAGE_PIN N6 [get_ports ANODE[0]]
set_property PACKAGE_PIN M6 [get_ports ANODE[1]]
set_property PACKAGE_PIN M3 [get_ports ANODE[2]]
set_property PACKAGE_PIN N5 [get_ports ANODE[3]]
set_property PACKAGE_PIN N2 [get_ports ANODE[4]]
set_property PACKAGE_PIN N4 [get_ports ANODE[5]]
set_property PACKAGE_PIN L1 [get_ports ANODE[6]]
set_property PACKAGE_PIN M1 [get_ports ANODE[7]]
set_property IOSTANDARD LVCMOS33 [get_ports {ANODE[*]}]

# Center button as RST
set_property PACKAGE_PIN E16 [get_ports RST]
set_property IOSTANDARD LVCMOS33 [get_ports RST]

# Left button as BTNL + right as BTNR
set_property -dict { PACKAGE_PIN T16 IOSTANDARD LVCMOS33 } [get_ports BTNL]
set_property -dict { PACKAGE_PIN R10 IOSTANDARD LVCMOS33 } [get_ports BTNR]

# Clock
set_property -dict { PACKAGE_PIN E3 IOSTANDARD LVCMOS33 } [get_ports CLK]
create_clock -period 10 [get_ports CLK]

# UART
set_property -dict { PACKAGE_PIN C4 IOSTANDARD LVCMOS33 } [get_ports RXD]
set_property -dict { PACKAGE_PIN D4 IOSTANDARD LVCMOS33 } [get_ports TXD]
