`default_nettype none

module reg32w
  ( input wire CLK,
    input wire WE,
    input wire [31:0] A, DIN,
    output reg [31:0] VAL );

  always @ (posedge CLK) begin
    if (WE & A==32'h0001_0000)
      VAL <= DIN;
  end
endmodule

module reg32r
  ( input wire CLK,
    input wire [31:0] A, 
    output reg [31:0] DOUT,
    input wire [31:0] VAL1, VAL2 );

  always @ (posedge CLK) begin
    DOUT <= (A==32'h0001_0004) ? VAL1 :
            (A==32'h0001_0008) ? VAL2 : 0;
  end
endmodule

`default_nettype wire
